Skip to main content

Documentation Index

Fetch the complete documentation index at: https://help.ezyid.io/llms.txt

Use this file to discover all available pages before exploring further.


This portal provides comprehensive documentation to help you integrate with EZYiD’s API. The EZYiD API uses API keys to authenticate requests. You can generate an API key from your EZYiD Dashboard.
API keys carry many privileges, so be sure to keep them secure! Do not share your API keys in publicly accessible areas such as GitHub, client-side code, or public forums.

Using Your API Key

You can include your API key in requests either as a query parameter or in the request payload:

Query Parameter

GET https://api-external.ezyid.io/endpoint?apiKey=your_api_key

Request Payload

 {
   "apiKey": "your_api_key",
   "otherData": "..."
 }
If a request doesn’t include a valid API key, the API will return a 401 HTTP error code to indicate an unauthorized request.

Security Notice

If you believe your API key has been compromised, you should regenerate it immediately from your EZYiD Dashboard. All previous keys will be invalidated when a new one is generated.